
#include "delay.h"

#include "platform/nrf52/gpio.h"
#include "platform/nrf52/spi.h"
#include "platform/nrf52/InterruptHandler.h"
#include "platform/nrf52/InterruptGuardian.h"

using namespace pinetime::platform::nrf52;

const uint8_t buf[] = "Test";

InterruptGuardian InterruptGuardian::instance;

int main(void)
{
    Gpio led_1(17);
    Gpio lcd_chip_select(25);

    Spi spi_0(0, 2, 3, 4, lcd_chip_select);

    while(1) {
        delay_ms(200);
        spi_0.send(buf, sizeof(buf));
        led_1.toggle();
    }
}
